using System.Collections.Generic;
using System.Threading.Tasks;
using Txgy.EWS.Client.Models;

namespace Txgy.EWS.Client.IBLL
{
    public interface IUpgradeFileBLL
    {
        //[Exception]
        //[LogBefore]
        Task<List<string>> DiffFileListAsync();

        Task<List<FileInfoModel>> AllFileListAsync();

        Task<bool> UploadFile(string fileName, string fullPath);
    }
}
